:::::::::::::::::::::::: runpmx.bat ::::::::::::::::::::::::
Call C:\Programme\MikTeX_2.9\localmiktex\miktex\bin\pmxab %1.pmx
if errorlevel 1 goto pmxerr
if exist %1.pml del %1.pml
if exist %1.mx2 del %1.mx2
if exist %1.mx1 del %1.mx1
if exist pmxaerr.dat del pmxaerr.dat
::
Call C:\Programme\MikTeX_2.9\miktex\bin\etex.exe %1.tex
if errorlevel 1 goto texerr
::
Call C:\Programme\MikTeX_2.9\localmiktex\miktex\bin\musixflx.exe %1.mx1
::
Call C:\Programme\MikTeX_2.9\miktex\bin\etex.exe %1.tex
if errorlevel 1 goto texerr
if exist %1.log del %1.log
::
Call C:\Programme\MikTeX_2.9\miktex\bin\dvips.exe %1.dvi
if errorlevel 1 goto dvierr
if exist %1.log del %1.log
::
Call C:\Programme\GhostScript\Ghostgum\gsview\gsview32.exe %1.ps
::
goto :end
:::::::::::::::::::
:: error exits :
::
:pmxerr
echo.
echo PMX has found errors when processing %1.pmx !
echo.
pause
goto :end
::
:texerr
echo.
echo TeX has found errors when processing %1.tex !
echo check %1.log for details.
echo.
pause
goto :end
::
:dvierr
echo.
echo *** dvips had errors ! ***
echo.
pause
::
:end
:::::::::::::::::::: end of runpmx.bat ::::::::::::::::::::

